> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/apis/api-reference/restowing-configuration-operations.md).

# Restowing Configuration (Operations)

Endpoints to manipulate restowing configuration.

## Get restow config

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to manipulate restowing configuration.","name":"Restowing Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OperationalRestowingConfigurations":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"restowingProcessConfiguration":{"$ref":"#/components/schemas/RestowingProcessConfiguration"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"OperationalRestowingConfigurations","description":"OperationalRestowingConfigurations"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"RestowingProcessConfiguration":{"properties":{"restowingProcessTypes":{"items":{"$ref":"#/components/schemas/RestowingProcessTypeEnum"},"minItems":0,"type":"array"}},"required":["restowingProcessTypes"],"type":"object","title":"RestowingProcessConfiguration","description":"RestowingProcessConfiguration"},"RestowingProcessTypeEnum":{"description":"Where restow items should be created during the operational process","enum":["PICKING","PACKING","HANDOVER"],"type":"string","title":"RestowingProcessTypeEnum"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/operativerestowing":{"get":{"operationId":"getOperationalRestowingConfigurations","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperationalRestowingConfigurations"}}},"description":"Configuration of all restow item related things"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Entity not found"}},"summary":"Get restow config","tags":["Restowing Configuration (Operations)"],"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />"}}}}
```

## Update restow config

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to manipulate restowing configuration.","name":"Restowing Configuration (Operations)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OperationalRestowingConfigurations":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"restowingProcessConfiguration":{"$ref":"#/components/schemas/RestowingProcessConfiguration"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"OperationalRestowingConfigurations","description":"OperationalRestowingConfigurations"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"RestowingProcessConfiguration":{"properties":{"restowingProcessTypes":{"items":{"$ref":"#/components/schemas/RestowingProcessTypeEnum"},"minItems":0,"type":"array"}},"required":["restowingProcessTypes"],"type":"object","title":"RestowingProcessConfiguration","description":"RestowingProcessConfiguration"},"RestowingProcessTypeEnum":{"description":"Where restow items should be created during the operational process","enum":["PICKING","PACKING","HANDOVER"],"type":"string","title":"RestowingProcessTypeEnum"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/operativerestowing":{"patch":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"putOperationalRestowingConfigurations","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperationalRestowingConfigurations"}}},"description":"create/update operational restowing configurations","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperationalRestowingConfigurations"}}},"description":"The restowing configurations were successfully updated."},"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OperationalRestowingConfigurations"}}},"description":"The restowing configurations were successfully created."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update restow config","tags":["Restowing Configuration (Operations)"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/restowing-configuration-operations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
